local SPELL_MANGLE = "Mangle"
local SPELL_LACERATE = "Lacerate"
local SPELL_SAVAGE_DEFENSE = "Savage Defense"
local SPELL_FRENZIED_REGENERATION = "Frenzied Regeneration"
local SPELL_BEAR_FORM = "Bear Form"
local SPELL_SKULL_BASH = "Skull Bash"
local SPELL_FAERIE_FIRE = "Faerie Fire"
local SPELL_THRASH = "Thrash"
local SPELL_SWIPE = "Swipe"
local SPELL_BERSERK = "Berserk"
local SPELL_MAUL = "Maul"
local SPELL_ENRAGE = "Enrage"
local SPELL_MIGHT_OF_URSOC = "Might of Ursoc"

local BUFF_BLESSING_OF_KINGS = "Blessing of Kings"
local BUFF_MARK_OF_THE_WILD = "Mark of the Wild"
local BUFF_LEGACY_OF_THE_EMPEROR = "Legacy of the Emperor"
local BUFF_EMBRACE_OF_THE_SHALE_SPIDER = "Embrace of the Shale Spider"

local DEBUFF_WEAKENED_ARMOR = "Weakened Armor"
local DEBUFF_WEAKENED_BLOWS = "Weakened Blows"

WhatsNext.defaultCastSequences["DRUID"][3] = {
	{
		spell=SPELL_BEAR_FORM,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Form",["form"]=SPELL_BEAR_FORM,["invert"]=true,},
		}
	},{
		spell=SPELL_SKULL_BASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Is Interruptable",["invert"]=false,},
		}
	},{
		spell=SPELL_FAERIE_FIRE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=DEBUFF_WEAKENED_ARMOR,["count"]="3",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=DEBUFF_WEAKENED_BLOWS,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_FRENZIED_REGENERATION,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Health Percent",["invert"]=false,["amount"]="0.33",},
			{["type"]="Minimum Power",["invert"]=false,["amount"]="30",},
		}
	},{
		spell=SPELL_MIGHT_OF_URSOC,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Health Percent",["invert"]=false,["amount"]="0.2",},
		}
	},{
		spell=SPELL_LACERATE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=SPELL_LACERATE,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_SAVAGE_DEFENSE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Tanking",["invert"]=false,},
			{["type"]="Taking Blockable Damage",["invert"]=false,["time"]="4",},
		}
	},{
		spell=SPELL_MANGLE,
		checks={
			{["type"]="Excess Power",["invert"]=true,["spellName"]=SPELL_MANGLE,},
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_BERSERK,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_MAUL,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Power",["invert"]=false,["amount"]="85",},
		}
	},{
		spell=SPELL_ENRAGE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Maximum Power",["invert"]=false,["amount"]="70",},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Target Need Debuff",["debuffName"]=SPELL_THRASH,["count"]="1",["invert"]=false,["time"]="3",},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Enemy Count",["invert"]=false,["amount"]="4",},
		}
	},{
		spell=SPELL_SWIPE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
			{["type"]="Minimum Enemy Count",["invert"]=false,["amount"]="4",},
		}
	},{
		spell=SPELL_LACERATE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_THRASH,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=SPELL_SWIPE,
		checks={
			{["type"]="In Combat",["invert"]=false,},
		}
	},{
		spell=BUFF_MARK_OF_THE_WILD,
		checks={
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_MARK_OF_THE_WILD,},
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_BLESSING_OF_KINGS,},
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_LEGACY_OF_THE_EMPEROR,},
			{["type"]="Raid Buffed",["invert"]=true,["yards"]="60",["buffName"]=BUFF_EMBRACE_OF_THE_SHALE_SPIDER,},
		}
	},
}
